﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MOFT.Classes
{
    public class Disease
    {
        public string strDiseaseCode { get; set; }
        public string strDiseaseName { get; set; }
        public DateTime dDateOfDiagnosis { get; set; }
        public string strDescription { get; set; }
        public byte bCured { get; set; }
        public byte bMedicineCount { get; set; }
        public ObservableCollection<Medicine> vMedicines { get; set; }

        public Disease()
        {
            vMedicines = new ObservableCollection<Medicine>();
            dDateOfDiagnosis = DateTime.Today;
        }
    }
}
